<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Sliding Navigation</title>
    <style>
        * {
            font-family: Calibri;
            margin: 0;
            padding: 0;
            font-size: 1.1em;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        nav {
            position: fixed;
            width: 50px;
            height: 100%;
            background: fuchsia;
            transition: 1s;
            opacity: 95%;
            overflow: hidden;
        }

        nav>.nav-item {
            margin-left: 55px;
            width: 300px;
            color: darkblue;
            font-weight: bold;
        }

        main {
            margin-left: 55px;
        }
        
        #icon-container {
            width: 24px;
            height: 24px;
            margin-left: 13px;
            margin-top: 13px;
            color: darkblue;
            cursor: pointer;
        }
    </style>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
</head>

<body>
    <nav>
        <div id="icon-container" onclick="toggleMenu()">
            <i class="material-icons">menu</i>
        </div>
        <div class="nav-item">
            Menu Item 1
        </div>
        <div class="nav-item">
            Menu Item 2
        </div>
        <div class="nav-item">
            Menu Item 3
        </div>
    </nav>
    <main>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aperiam delectus molestias minus ullam deserunt ad
            illum qui eligendi, dignissimos natus tenetur adipisci deleniti, quis similique impedit. Nulla consequuntur
            vitae debitis.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Distinctio doloribus sequi nihil ut alias, culpa at
            quae delectus nobis vel totam illo commodi laborum itaque doloremque adipisci! Nulla, maxime et.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Assumenda libero eius veritatis quas similique
            cupiditate deleniti earum alias minima? Soluta ipsam doloribus vel pariatur incidunt explicabo quae
            reiciendis ab fugiat.
        </p>
        <p>
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde, accusantium esse natus laborum asperiores
            tempora quaerat qui minima ipsam sit impedit quisquam iste voluptatibus modi excepturi beatae inventore eos
            quae!
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Id, alias eveniet ut minima nobis delectus rem vel
            voluptate cupiditate sed. Quisquam incidunt illo praesentium minus officiis eveniet alias. Aliquid, veniam?
        </p>
        <p>
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio sunt saepe amet illum, tenetur nihil
            veniam commodi, laboriosam totam doloribus doloremque nobis ea iusto rem quisquam quae, cum odio recusandae.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Ipsam iusto, qui commodi quis recusandae cupiditate
            accusantium quos quidem assumenda provident nemo repellendus eveniet pariatur dolor, in sint incidunt cumque
            neque!
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Aperiam delectus molestias minus ullam deserunt ad
            illum qui eligendi, dignissimos natus tenetur adipisci deleniti, quis similique impedit. Nulla consequuntur
            vitae debitis.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Distinctio doloribus sequi nihil ut alias, culpa at
            quae delectus nobis vel totam illo commodi laborum itaque doloremque adipisci! Nulla, maxime et.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Assumenda libero eius veritatis quas similique
            cupiditate deleniti earum alias minima? Soluta ipsam doloribus vel pariatur incidunt explicabo quae
            reiciendis ab fugiat.
        </p>
        <p>
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Unde, accusantium esse natus laborum asperiores
            tempora quaerat qui minima ipsam sit impedit quisquam iste voluptatibus modi excepturi beatae inventore eos
            quae!
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Id, alias eveniet ut minima nobis delectus rem vel
            voluptate cupiditate sed. Quisquam incidunt illo praesentium minus officiis eveniet alias. Aliquid, veniam?
        </p>
        <p>
            Lorem ipsum dolor sit amet, consectetur adipisicing elit. Distinctio sunt saepe amet illum, tenetur nihil
            veniam commodi, laboriosam totam doloribus doloremque nobis ea iusto rem quisquam quae, cum odio recusandae.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Ipsam iusto, qui commodi quis recusandae cupiditate
            accusantium quos quidem assumenda provident nemo repellendus eveniet pariatur dolor, in sint incidunt cumque
            neque!
        </p>
    </main>

    <script>
        let isMenuOpen = false;

        function toggleMenu() {
            if (!isMenuOpen) {
                document.querySelector("nav").style.width = "100%";
                document.querySelector("#icon-container").innerHTML = '<i class="material-icons">close</i>';
                isMenuOpen = true;
            } else {
                document.querySelector("nav").style.width = "50px";
                document.querySelector("#icon-container").innerHTML = '<i class="material-icons">menu</i>';
                isMenuOpen = false;
            }
        }
    </script>
</body>

</html>